import {Aid} from "@/model/Aid";
import {Module} from "vuex";

const aidStore: Module<any, any> = {
    state: {
        aids: [
            new Aid('091218', '2018-02-01', '2018-01-02', '§140', 'Afhjælpning af funktionsnedsættelse3'),
            new Aid('093307', '2018-01-03', '', 'APV', 'Aflastning af hjemmehjælp.'),
            new Aid('120306', '2018-04-01', '', '83a', 'Borger har svært ved at holde balancen uden støtte.'),
            new Aid('120606', '2019-04-01', '', '86', 'Borger har svært ved at holde balancen og har to etager i sit hjem.'),
            new Aid('120606', '2019-09-01', '', '86', 'Borger har svært ved at holde balancen og har to etager i sit hjem.'),
            new Aid('123103', '2020-07-01', '', 'APV', 'Aflastning af hjemmehjælp.'),
            // new Aid('222718', '2020-10-01', '', '83a', 'Afhjælpning af funktionsnedsættelse7'),
            new Aid('222718', '2020-10-03', '', '83a', 'Faldalarm da borger svært ved at holde balancen selv og kan have svært ved at rejse sig.'),
            new Aid('242103', '2020-11-01', '', '86', 'Gør det nemmere for borger at hold fast i ting.')
        ],
    },
    mutations: {},
    actions: {},
    getters: {
        aids: state => state.aids,
        activeAids: state => {
            // console.log(state.aids)
            return state.aids.filter((x: { handInDate: Date; }) => !x.handInDate.getDate())
        }
    }
}

export default aidStore
